package cn.com.qmth.examcloud.exchange.outer.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.examwork.api.ExamStudentCloudService;
import cn.com.qmth.examcloud.exchange.outer.api.ExamStudentOuterService;
import cn.com.qmth.examcloud.exchange.outer.api.bean.ExamStudentBean;
import cn.com.qmth.examcloud.exchange.outer.api.request.SaveExamStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.SaveExamStudentResp;
import io.swagger.annotations.ApiOperation;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年7月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamStudentOuterServiceProvider extends ControllerSupport
		implements
			ExamStudentOuterService {

	private static final long serialVersionUID = -8252740695302763716L;

	@Autowired
	ExamStudentCloudService examStudentCloudService;

	@ApiOperation(value = "保存考生信息")
	@PostMapping("saveStudent")
	@Override
	public SaveExamStudentResp saveExamStudent(SaveExamStudentReq req) {
		cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq request = new cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq();

		request.setCourseCode(req.getCourseCode());
		request.setCourseLevel(req.getCourseLevel());
		request.setCourseName(req.getCourseName());
		request.setExamId(req.getExamId());
		request.setExamName(req.getExamName());
		request.setIdentityNumber(req.getIdentityNumber());
		request.setPaperType(req.getPaperType());
		request.setRootOrgId(req.getRootOrgId());
		request.setStudentCode(req.getStudentCode());
		request.setStudentName(req.getStudentName());

		cn.com.qmth.examcloud.examwork.api.response.SaveExamStudentResp response = examStudentCloudService
				.saveExamStudent(request);

		cn.com.qmth.examcloud.examwork.api.bean.ExamStudentBean sb = response.getExamStudentBean();

		SaveExamStudentResp resp = new SaveExamStudentResp();
		ExamStudentBean bean = resp.getExamStudentBean();
		bean.setCourseCode(sb.getCourseCode());
		bean.setCourseLevel(sb.getCourseLevel());
		bean.setCourseName(sb.getCourseName());
		bean.setExamId(sb.getExamId());
		bean.setExamName(sb.getExamName());
		bean.setIdentityNumber(sb.getIdentityNumber());
		bean.setPaperType(sb.getPaperType());
		bean.setRootOrgId(sb.getRootOrgId());
		bean.setStudentCode(sb.getStudentCode());
		bean.setStudentName(sb.getStudentName());

		resp.setExamStudentBean(bean);

		return resp;
	}

}
