package cn.com.qmth.examcloud.exchange.dao;

import java.util.List;

import cn.com.qmth.examcloud.common.dto.em.ExamStudent;
import cn.com.qmth.examcloud.exchange.dao.bean.OutletScore;

/**
 * @author  	chenken
 * @date    	2018年1月3日 下午4:02:01
 * @company 	QMTH
 * @description OutletScoreRepo.java
 */
public interface OutletScoreDao {
	
	List<OutletScore> sydxQuery(String examRemark, String examStuRemark, Long examOrgId);
	/**
	 * 按考试，学号，课程查询成绩明细
	 * @param rootOrgId
	 * @param examName
	 * @param studentCode
	 * @param courseCode
	 * @return
	 */
	List<OutletScore> queryExamScoreBy(Long rootOrgId,String examName,String studentCode,String courseCode);
	/**
	 * 石油大学:按scoreId查询成绩
	 * @param scoreId
	 * @return
	 */
	List<OutletScore> sydxGetExamScoreById(Long scoreId);
    /**
     * 按身份证号查询成绩
     * @param identityNumber 身份证号
     * @return
     */
    List<OutletScore> sydxQueryScoreByIdentityNumber(List<String> identityNumbers, Long examOrgId);
    /**
	 * 按scoreId查询成绩
	 * @param scoreId
	 * @return
	 */
	List<OutletScore> getExamScoreById(Long scoreId);
    /**
     * 按照examRemark，examStuRemark，examOrgId查询考生
     * @param examRemark
     * @param examStuRemark
     * @param examOrgId
     * @return
     */
    public List<ExamStudent> findExamStudents(String examRemark, String examStuRemark, Long examOrgId);
    /**
     * 根据身份证号查询查询考生
     * @param identityNumbers
     * @param examOrgId
     * @return
     */
    public List<ExamStudent> findExamStudents(List<String> identityNumbers, Long examOrgId);
    /**
     * 根据考试名称身份证号查询查询考生
     * @param identityNumbers
     * @param examOrgId
     * @return
     */
    public List<ExamStudent> findExamStudents(String examName,List<String> identityNumbers, Long examOrgId);
    /**
     * 根据机构ID，批次名称，课程code，学号List查询考生
     * @param batchName
     * @param courseCode
     * @param studentCodes
     * @return
     */
	List<ExamStudent> findExamStudents(Long orgId,String batchName, String courseCode,List<String> studentCodes);
    
}

