package cn.com.qmth.examcloud.exchange.dao.bean;

import javax.persistence.*;

import cn.com.qmth.examcloud.exchange.dao.bean.OutletScore;

/**
 * Created by yuanpan on 2017/4/27.
 */
@Entity
@SqlResultSetMapping(
        name = "OutletScoreMapping",
        classes = {
                @ConstructorResult(
                        targetClass = OutletScore.class,
                        columns = {
                                @ColumnResult(name = "score_id", type = Long.class),
                                @ColumnResult(name = "student_name", type = String.class),
                                @ColumnResult(name = "student_code", type = String.class),
                                @ColumnResult(name = "identity_number", type = String.class),
                                @ColumnResult(name = "total_score", type = Double.class),
                                @ColumnResult(name = "objective_score", type = Double.class),
                                @ColumnResult(name = "subjective_score", type = Double.class),
                                @ColumnResult(name = "course_name", type = String.class),
                                @ColumnResult(name = "course_code", type = String.class),
                                @ColumnResult(name = "exam_remark", type = String.class),
                                @ColumnResult(name = "student_remark", type = String.class),
                                @ColumnResult(name = "end_time", type = String.class)
                        }
                )
        }
)
@NamedNativeQueries({
        @NamedNativeQuery(name = "ExamScore.sydxQuery", query = "select \n" +
                "s.id `score_id`, stu.`name` `student_name`, stu.student_code,stu.identity_number,\n" +
                "s.total_score,s.objective_score,s.subjective_score,\n" +
                "stu.course_name,stu.course_code,e.remark `exam_remark`,stu.remark `student_remark`,\n" +
                "r.end_time\n" +
                "from oe_exam_score s \n" +
                "left join oe_exam_record r on s.exam_record_id = r.id\n" +
                "left join ecs_exam_student stu on stu.id = r.exam_student_id\n" +
                "left join ecs_exam e on e.id = r.batch_id\n" +
                "where e.remark = ?1 and stu.remark = ?2 and e.org_id = ?3", resultSetMapping = "OutletScoreMapping"),
        @NamedNativeQuery(name = "ExamScore.sydxGet", query = "select \n" +
                "s.id `score_id`, stu.`name` `student_name`, stu.student_code,stu.identity_number,\n" +
                "s.total_score,s.objective_score,s.subjective_score,\n" +
                "stu.course_name,stu.course_code,e.remark `exam_remark`,stu.remark `student_remark`,\n" +
                "r.end_time\n" +
                "from oe_exam_score s \n" +
                "left join oe_exam_record r on s.exam_record_id = r.id\n" +
                "left join ecs_exam_student stu on stu.id = r.exam_student_id\n" +
                "left join ecs_exam e on e.id = r.batch_id\n" +
                "where s.id = ?1 ", resultSetMapping = "OutletScoreMapping"),
        @NamedNativeQuery(name = "ExamScore.sydxQueryScoreByIdentityNumber", query = "select \n" +
                "s.id `score_id`, stu.`name` `student_name`, stu.student_code,stu.identity_number,\n" +
                "s.total_score,s.objective_score,s.subjective_score,\n" +
                "stu.course_name,stu.course_code,e.remark `exam_remark`,stu.remark `student_remark`,\n" +
                "r.end_time\n" +
                "from oe_exam_score s \n" +
                "left join oe_exam_record r on s.exam_record_id = r.id\n" +
                "left join ecs_exam_student stu on stu.id = r.exam_student_id\n" +
                "left join ecs_exam e on e.id = r.batch_id\n" +
                "where r.identity_number in (?1) and e.org_id = ?2", resultSetMapping = "OutletScoreMapping")
})
@Table(name = "oe_exam_score")
public class ExamScore {

    @Id
    private Long id;
}
