package cn.com.qmth.examcloud.exchange.dao.bean;

import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.exchange.base.enums.OutletOrgType;

import java.io.Serializable;
import java.util.Date;

public class OutletOrg implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8250086189391122785L;
	private Long id;
    /**
     * 顶级机构id，无上级时为0；eg.学校即是顶级
     */
    private Long rootId;
    /**
     * 父级机构id，无上级时为0；eg.学习中心的父级为学校
     */
    private Long parentId;

    private Integer level;
    
    private String name;
    
    /**
     * 学习中心代码
     */
    private String code;

    private String logo;

    private String address;

    /**
     * 可使用的应用模块
     */
    private String apps;

    @NotNull
    private Boolean enable;
    
    /**
     * 联系电话
     */
    private String telphone;
    /**
     * 联系人
     */
    private String contacts;

    private Date createTime;

    private Date updateTime;
    
    /**
     * 机构类型：学校，启明，印刷
     */
    private OutletOrgType type;
    
    /**
     * 机器数量
     */
    private Integer macNumber;
    
    /**
     * 是否提供人员
     */
    private Boolean isProvide;
    
    /**
     * 备注
     */
    private String remark;
    
    /**
     * 网考端系统名称
     */
    private String examSysName;
    
    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootId() {
        return rootId;
    }

    public void setRootId(Long rootId) {
        this.rootId = rootId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getApps() {
        return apps;
    }

    public void setApps(String apps) {
        this.apps = apps;
    }

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTelphone() {
		return telphone;
	}

	public void setTelphone(String telphone) {
		this.telphone = telphone;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}


	public OutletOrgType getType() {
		return type;
	}

	public void setType(OutletOrgType type) {
		this.type = type;
	}
	
	public Integer getMacNumber() {
		return macNumber;
	}

	public void setMacNumber(Integer macNumber) {
		this.macNumber = macNumber;
	}

	public Boolean getIsProvide() {
		return isProvide;
	}

	public void setIsProvide(Boolean isProvide) {
		this.isProvide = isProvide;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	public String getExamSysName() {
		return examSysName;
	}

	public void setExamSysName(String examSysName) {
		this.examSysName = examSysName;
	}

	public OutletOrg(String name, String code, String contacts,String telphone) {
        this.name = name;
        this.code = code;
        this.telphone = telphone;
        this.contacts = contacts;
    }

    public OutletOrg() {
    }
}
