package cn.com.qmth.examcloud.exchange.dao.bean;

import cn.com.qmth.examcloud.common.dto.em.ExamStudent;

/**
 * Created by yuanpan on 2017/2/15.
 */
public class OutletScore {

    private Long scoreId;//分数id
    
    private Long examId;
    
    private String examName;
    
    private String studentName;//考生名称

    private String studentCode;//考生学号

    private String identityNumber;//考生身份证号码

    private Double totalScore;//总得分

    private Double objectiveScore;//客观题得分

    private Double subjectiveScore;//主观题得分

    private String courseName;//课程名称

    private String courseCode;//课程代码

    private String examRemark;//接口外部系统考试标识
    
    private String startTime;//开始考试时间

    private String endTime;//交卷时间

    private String studentRemark;//ecs_exam_student考生标的备注字段，这里用来标识：毕业／非毕业／入学考试
    /**
     * 是否缺考
     */
    private Boolean isMissExam;
    /**
     * 是否违纪
     */
    private Boolean isBreachThePrinciple;
    /**
     * 人脸识别成功率
     */
    private Double successRate;
    
    public OutletScore() {}

    public OutletScore(Long scoreId, String studentName, String studentCode, String identityNumber, Double totalScore, Double objectiveScore, Double subjectiveScore, String courseName, String courseCode, String examRemark, String studentRemark, String endTime) {
        this.scoreId = scoreId;
        this.studentName = studentName;
        this.studentCode = studentCode;
        this.identityNumber = identityNumber;
        this.totalScore = totalScore;
        this.objectiveScore = objectiveScore;
        this.subjectiveScore = subjectiveScore;
        this.courseName = courseName;
        this.courseCode = courseCode;
        this.examRemark = examRemark;
        this.studentRemark = studentRemark;
        this.endTime = endTime;
    }

    public OutletScore(ExamStudent examStudent) {
    	this.studentName = examStudent.getName();
        this.studentCode = examStudent.getStudentCode();
        this.courseCode = examStudent.getCourseCode();
        this.identityNumber = examStudent.getIdentityNumber();
        this.examRemark = examStudent.getExam().getRemark();
        this.studentRemark = examStudent.getRemark();
        String courseCode = examStudent.getCourseCode();
        if(courseCode.startsWith("Z")
        		||courseCode.startsWith("Q")
        			||courseCode.startsWith("S")){
        	this.courseCode = courseCode.substring(1,courseCode.length());
    	}else{
    		this.courseCode = courseCode;
    	}
	}

	public Long getScoreId() {
        return scoreId;
    }

    public void setScoreId(Long scoreId) {
        this.scoreId = scoreId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getExamRemark() {
        return examRemark;
    }

    public void setExamRemark(String examRemark) {
        this.examRemark = examRemark;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStudentRemark() {
        return studentRemark;
    }

    public void setStudentRemark(String studentRemark) {
        this.studentRemark = studentRemark;
    }

	public Boolean getIsMissExam() {
		return isMissExam;
	}

	public void setIsMissExam(Boolean isMissExam) {
		this.isMissExam = isMissExam;
	}

	public Boolean getIsBreachThePrinciple() {
		return isBreachThePrinciple;
	}

	public void setIsBreachThePrinciple(Boolean isBreachThePrinciple) {
		this.isBreachThePrinciple = isBreachThePrinciple;
	}

	public Double getSuccessRate() {
		return successRate;
	}

	public void setSuccessRate(Double successRate) {
		this.successRate = successRate;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
    
}
