package cn.com.qmth.examcloud.exchange.dao.impl;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.common.dto.em.ExamRecord;
import cn.com.qmth.examcloud.common.dto.em.enums.ExamRecordStatus;
import cn.com.qmth.examcloud.exchange.dao.ExamRecordDao;

/**
 * @author  	chenken
 * @date    	2018年4月3日 下午3:54:00
 * @company 	QMTH
 * @description ExamRecordDaoImpl.java
 */
@Component("examRecordDao")
public class ExamRecordDaoImpl implements ExamRecordDao {
	
	@Autowired
	private JdbcTemplate jdbcTemplate;

	@Override
	public List<ExamRecord> findByExamStudentId(Long examStudentId) {
		String sql = "select id,"
						+ " id,"
						+ " exam_student_id,"
						+ " invigilator_operation,"
						+ " is_audit,"
						+ " is_warn,"
						+ " org_id,"
						+ " status "
				 + " from oe_exam_record t "
				 + " where t.exam_student_id = "+examStudentId;
		return jdbcTemplate.query(sql.toString(), new RowMapper<ExamRecord>() {
			@Override
			public ExamRecord mapRow(ResultSet rs, int arg1) throws SQLException {
				ExamRecord examRecord = new ExamRecord();
				examRecord.setId(rs.getLong("id"));
				examRecord.setExamStudentId(rs.getLong("exam_student_id"));
				examRecord.setInvigilatorOperation(rs.getInt("invigilator_operation"));
				examRecord.setIsAudit(rs.getBoolean("is_audit"));
				examRecord.setIsWarn(rs.getBoolean("is_warn"));
				examRecord.setStatus(ExamRecordStatus.valueOf(rs.getString("status")));
				examRecord.setOrgId(rs.getLong("org_id"));
				return examRecord;
			}
		});
	}

	@Override
	public ExamRecord findByScoreId(Long scoreId) {
		String sql = "select"
						+ " t1.id,"
						+ " t1.exam_student_id,"
						+ " t1.invigilator_operation,"
						+ " t1.is_audit,"
						+ " t1.is_warn,"
						+ " t1.org_id,"
						+ " t1.status,"
						+ " t1.end_time,"
						+ " t1.clean_time"
				 + " from oe_exam_record t1 left join oe_exam_score t2 on t1.id = t2.exam_record_id"
				 + " where t2.id = "+scoreId;
		return jdbcTemplate.queryForObject(sql.toString(), new RowMapper<ExamRecord>() {
			@Override
			public ExamRecord mapRow(ResultSet rs, int arg1) throws SQLException {
				ExamRecord examRecord = new ExamRecord();
				examRecord.setId(rs.getLong("id"));
				examRecord.setExamStudentId(rs.getLong("exam_student_id"));
				examRecord.setInvigilatorOperation(rs.getInt("invigilator_operation"));
				examRecord.setIsAudit(rs.getBoolean("is_audit"));
				examRecord.setIsWarn(rs.getBoolean("is_warn"));
				examRecord.setStatus(ExamRecordStatus.valueOf(rs.getString("status")));
				examRecord.setOrgId(rs.getLong("org_id"));
				examRecord.setEndTime(rs.getTimestamp("end_time"));
				examRecord.setCleanTime(rs.getTimestamp("clean_time"));
				return examRecord;
			}
		});
	}
}

