package cn.com.qmth.examcloud.exchange.dao.impl;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.common.dto.em.ExamScore;
import cn.com.qmth.examcloud.exchange.dao.ExamScoreDao;

/**
 * @author  	chenken
 * @date    	2018年4月3日 下午3:54:23
 * @company 	QMTH
 * @description ExamScoreDaoImpl.java
 */
@Component("examScoreDao")
public class ExamScoreDaoImpl implements ExamScoreDao{
	
	@Autowired
	private JdbcTemplate jdbcTemplate;

	@Override
	public List<ExamScore> findByExamRecordIdIn(List<Long> examRecordIds) {
		StringBuffer examRecordIdsString = new StringBuffer();
		for(Long number:examRecordIds){
			examRecordIdsString.append(number+",");
		}
		String numbers = examRecordIdsString.toString();
		numbers = numbers.substring(0, numbers.lastIndexOf(","));
		String sql = "select id,objective_score,subjective_score,total_score "
				  + " from oe_exam_score t "
				  + " where t.exam_record_id IN ("+numbers+")";
		
		return this.jdbcTemplate.query(sql,new RowMapper<ExamScore>() {
			@Override
			public ExamScore mapRow(ResultSet rs, int arg1) throws SQLException {
				ExamScore examScore = new ExamScore();
				examScore.setId(rs.getLong("id"));
				examScore.setObjectiveScore(rs.getDouble("objective_score"));
				examScore.setSubjectiveScore(rs.getDouble("subjective_score"));
				examScore.setTotalScore(rs.getDouble("total_score"));
				return examScore;
			}
		});
	}

}

