package cn.com.qmth.examcloud.exchange.outer.service;

import java.util.List;

import cn.com.qmth.examcloud.exchange.dao.bean.OutletScore;

/**
 * @author  	chenken
 * @date    	2018年1月3日 下午3:37:36
 * @company 	QMTH
 * @description OutletScoreService.java
 */
public interface OutletScoreService {
	/**
	 * 根据oe_exam_score 的ID查询
	 * 供推送成绩使用
	 * @param scoreId
	 * @return
	 */
	List<OutletScore> getExamScoreById(Long scoreId)  throws Exception;
	/**
	 * 
	 * @param rootOrgId
	 * @param examName
	 * @param studentCode
	 * @param courseCode
	 * @return
	 * @throws Exception
	 */
	List<OutletScore> queryExamScoreBy(Long rootOrgId,String examName,String studentCode,String courseCode) throws Exception;
	/**
	 * 
	 * @param examRemark
	 * @param examStuRemark
	 * @param examOrgId
	 * @return
	 * @throws Exception
	 */
	List<OutletScore> queryExamScore(String examName, String examStuRemark, Long examOrgId)  throws Exception ;
    /**
     * 按身份证号查询成绩
     * @param identityNumber 身份证号
     * @return
     */
    List<OutletScore> queryExamScoreByIdentityNumbers(List<String> identityNumbers, Long examOrgId)  throws Exception;
    /**
     * 按考试名称和身份证号查询成绩
     * @param identityNumber 身份证号
     * @return
     */
    List<OutletScore> queryExamScoreByExamNameAndIdentityNumbers(String examName,List<String> identityNumbers, Long examOrgId) throws Exception;
    /**
     * 根据机构ID，批次名称，课程code，学号List查询考生成绩
     * @param orgId
     * @param batchName
     * @param courseCode
     * @param studentCodes
     * @return
     */
    List<OutletScore> queryExamScoreBy(Long orgId,String batchName, String courseCode,List<String> studentCodes) throws Exception;
}

