package cn.com.qmth.examcloud.exchange.outer.service.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import cn.com.qmth.examcloud.exchange.dao.bean.OutletExam;

import java.util.List;

/**
 * Created by yuanpan on 2017/4/25.
 */
@FeignClient(value = "ExamCloud-service-exam-work")
public interface ExamClient {

    @RequestMapping(method = RequestMethod.POST, value = "${$rmp.ctr.examwork}/exam")
    ResponseEntity<OutletExam> save(@RequestHeader("user_token") String token, @RequestBody OutletExam exam);

    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.examwork}/exam/{id}")
    ResponseEntity<OutletExam> getOne(@RequestHeader("user_token") String token, @PathVariable(value = "id") Long id);

    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.examwork}/exam/all")
    ResponseEntity<List<OutletExam>> queryByRemark(@RequestHeader("user_token") String token, @RequestParam(value = "remark") String remark);
    
    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.examwork}/exam/name")
    ResponseEntity<List<OutletExam>> queryByName(@RequestHeader("user_token") String token, @RequestParam(value = "name") String name);
}
