package cn.com.qmth.examcloud.exchange.outer.service.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import cn.com.qmth.examcloud.exchange.dao.bean.OutletExamStudent;

import java.util.List;

/**
 * Created by yuanpan on 2017/4/25.
 */
@FeignClient(value = "ExamCloud-service-exam-work")
public interface ExamStudentClient {

    @RequestMapping(method = RequestMethod.POST, value = "${$rmp.ctr.examwork}/exam_student")
    ResponseEntity<OutletExamStudent> save(@RequestHeader("user_token") String token, @RequestBody OutletExamStudent examStudent);


    @RequestMapping(method = RequestMethod.PUT, value = "${$rmp.ctr.examwork}/exam_student")
    ResponseEntity<OutletExamStudent> updateExamStudent(@RequestHeader("user_token") String token, @RequestBody OutletExamStudent examStudent);

    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.examwork}/exam_student/all")
    String getExamStudentByIdentityNumber(@RequestHeader("user_token") String token, @RequestParam("identityNumber") String identityNumber);

    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.examwork}/exam_student/all")
    ResponseEntity<List<OutletExamStudent>> queryExamStudent(@RequestHeader("user_token") String token, @RequestParam("identityNumber") String identityNumber, @RequestParam("examId") Long examId, @RequestParam("courseCode") String courseCode);
}
