package cn.com.qmth.examcloud.exchange.outer.service.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import cn.com.qmth.examcloud.common.dto.core.StudentFaceInfo;

/**
 * Created by yuanpan on 2017/5/14.
 */
@FeignClient(value = "ExamCloud-service-core")
public interface StudentFaceInfoClient {
	@RequestMapping(method = RequestMethod.POST, value = "${$rmp.ctr.basic}/studentFaceInfo")
	ResponseEntity<StudentFaceInfo> save(@RequestHeader("user_token") String token,
			@RequestBody StudentFaceInfo studentFaceInfo);

	@RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/studentFaceInfo/identityNumber")
	ResponseEntity<StudentFaceInfo> getByIdentityNumber(@RequestHeader("user_token") String token,
			@RequestParam("identityNumber") String identityNumber,
			@RequestParam("orgId") Long orgId);

	/**
	 * 获取faceSetToken(人脸集合)
	 * 
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/faceSet/enableFaceSet")
	String getFaceSet(@RequestHeader("user_token") String token);
}
